import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';
import { AdminPanelEnum } from '../../shared/enum/adminPanel.enum';

@Injectable()
export class PanelRouteService {
  private destination = new Subject<AdminPanelEnum>();

  destinationChanged$ = this.destination.asObservable();

  redirectTo(dest: AdminPanelEnum) {
    this.destination.next(dest);
  }
}
