import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { OnlineDemarche } from '../../enums/onlineDemarche.enum';

@Component({
  selector: 'app-information-screen',
  templateUrl: './information-screen.component.html',
  styleUrls: ['./information-screen.component.scss'],
})
export class InformationScreenComponent implements OnInit {
  @Input() currentType: OnlineDemarche;
  @Output() checkValidation = new EventEmitter<boolean>();

  public currentTypeEnum = OnlineDemarche;

  ngOnInit(): void {
    this.checkValidation.emit();
  }
}
