import { FormControl, FormGroup } from '@angular/forms';
import { Module } from '../../../structure-list/models/module.model';
import { StructureOrientator } from './structureOrientator.interface';

export interface StructureOrientationForm {
  filters: FormControl<Module[]>;
  pmrAccess: FormControl<boolean>;
  address: FormControl<string>;
  structureChoice: FormControl<string[]>;
  name: FormControl<string>;
  surname: FormControl<string>;
  comments: FormControl<string>;
  structureOrientator: FormGroup<StructureOrientator>;
}
