import { InformationStepComponent } from '../../form/form-view/global-components/information-step/information-step.component';
import { ProgressBarComponent } from '../../form/form-view/global-components/progress-bar/progress-bar.component';
import { StructurePublicTargetComponent } from '../../form/form-view/structure-form/structure-public-target/structure-public-target.component';
import { AccompanimentPickerComponent } from './accompaniment-picker/accompaniment-picker.component';
import { AddressAutocompleteComponent } from './address-autocomplete/address-autocomplete.component';
import { ButtonComponent } from './button/button.component';
import { CheckboxFormComponent } from './checkbox-form/checkbox-form.component';
import { CustomModalComponent } from './custom-modal/custom-modal.component';
import { HourPickerComponent } from './hour-picker/hour-picker.component';
import { LogoCardComponent } from './logo-card/logo-card.component';
import { ModalConfirmationComponent } from './modal-confirmation/modal-confirmation.component';
import { ModalJoinConfirmationComponent } from './modal-join-confirmation/modal-join-confirmation.component';
import { PasswordFormComponent } from './password-form/password-form.component';
import { RadioFormComponent } from './radio-form/radio-form.component';
import { StructureDetailPrintComponent } from './structure-detail-print/structure-detail-print.component';
import { StructureListPrintComponent } from './structure-list-print/structure-list-print.component';
import { StructurePmrComponent } from './structure-pmr/structure-pmr.component';
import { StructureTypePickerComponent } from './structure-type-picker/structure-type-picker.component';
import { SvgIconComponent } from './svg-icon/svg-icon.component';
import { TextInputModalComponent } from './text-input-modal/text-input-modal.component';
import { TrainingTypePickerComponent } from './training-type-picker/training-type-picker.component';

// tslint:disable-next-line: max-line-length
export {
  AccompanimentPickerComponent,
  LogoCardComponent,
  SvgIconComponent,
  ButtonComponent,
  AddressAutocompleteComponent,
  StructureTypePickerComponent,
  CheckboxFormComponent,
  HourPickerComponent,
  RadioFormComponent,
  ModalConfirmationComponent,
  CustomModalComponent,
  TextInputModalComponent,
  PasswordFormComponent,
  TrainingTypePickerComponent,
  InformationStepComponent,
  StructurePmrComponent,
  StructureListPrintComponent,
  StructureDetailPrintComponent,
  ProgressBarComponent,
  StructurePublicTargetComponent,
};

// tslint:disable-next-line:variable-name
export const SharedComponents = [
  AccompanimentPickerComponent,
  LogoCardComponent,
  SvgIconComponent,
  ButtonComponent,
  AddressAutocompleteComponent,
  StructureTypePickerComponent,
  CheckboxFormComponent,
  HourPickerComponent,
  RadioFormComponent,
  ModalConfirmationComponent,
  CustomModalComponent,
  ModalJoinConfirmationComponent,
  TextInputModalComponent,
  PasswordFormComponent,
  TrainingTypePickerComponent,
  InformationStepComponent,
  StructurePmrComponent,
  StructureListPrintComponent,
  StructureDetailPrintComponent,
  ProgressBarComponent,
  StructurePublicTargetComponent,
];
