import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { MapModule } from '../map/map.module';
import { SharedModule } from '../shared/shared.module';
import { CardComponent } from '../structure-list/components/card/card.component';
import { ModalFilterComponent } from '../structure-list/components/modal-filter/modal-filter.component';
import { StructureListSearchComponent } from '../structure-list/components/structure-list-search/structure-list-search.component';
import { StructureListComponent } from '../structure-list/structure-list.component';
import { CartoComponent } from './carto.component';
@NgModule({
  imports: [CommonModule, SharedModule, MapModule],
  declarations: [
    CartoComponent,
    CardComponent,
    ModalFilterComponent,
    StructureListComponent,
    StructureListSearchComponent,
  ],
  exports: [CartoComponent, CardComponent, ModalFilterComponent, StructureListComponent, StructureListSearchComponent],
})
export class CartoModule {}
