import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-personal-offer-accompaniment',
  templateUrl: './personal-offer-accompaniment.component.html',
  styleUrls: ['./personal-offer-accompaniment.component.scss'],
})
export class PersonalOfferAccompanimentComponent implements OnInit {
  @Input() structureName: string;
  @Input() personalOfferForm: UntypedFormGroup;
  @Input() onlineProcedures: Category;
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    this.validateForm.emit();
  }
}
