import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { IOnlineMediation } from '../form/orientation-form-view/interfaces/onlineMediation.interface';

@Injectable({
  providedIn: 'root',
})
export class OnlineMediationService {
  constructor(private http: HttpClient) {}

  /**
   * Retrive all tcl stop point around given coord
   */
  public createOnlineMediation(newMediation: IOnlineMediation): Observable<IOnlineMediation> {
    return this.http.post<IOnlineMediation>('/api/online-mediation', newMediation);
  }
}
